Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1787)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1788)
@@ -2652,6 +2661,6 @@
 
           CASE ( 'w"s"' )
-             IF ( .NOT. passive_scalar ) THEN
-                message_string = 'data_output_pr = ' // &
+             IF (  .NOT.  passive_scalar )  THEN
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
@@ -2664,6 +2673,6 @@
 
           CASE ( 'w*s*' )
-             IF ( .NOT. passive_scalar ) THEN
-                message_string = 'data_output_pr = ' // &
+             IF (  .NOT.  passive_scalar )  THEN
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
@@ -2676,6 +2685,6 @@
 
           CASE ( 'ws' )
-             IF ( .NOT. passive_scalar ) THEN
-                message_string = 'data_output_pr = ' // &
+             IF (  .NOT.  passive_scalar )  THEN
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
@@ -2688,15 +2697,14 @@
 
           CASE ( 'w"qv"' )
-             IF ( humidity  .AND.  .NOT. cloud_physics ) &
-             THEN
+             IF ( humidity  .AND.  .NOT.  cloud_physics )  THEN
                 dopr_index(i) = 48
                 dopr_unit(i)  = 'kg/kg m/s'
                 hom(:,2,48,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF( humidity .AND. cloud_physics ) THEN
+             ELSEIF ( humidity  .AND.  cloud_physics )  THEN
                 dopr_index(i) = 51
                 dopr_unit(i)  = 'kg/kg m/s'
                 hom(:,2,51,:) = SPREAD( zw, 2, statistic_regions+1 )
              ELSE
-                message_string = 'data_output_pr = ' // &
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for cloud_physics = .FALSE. an&' // &
@@ -2706,5 +2714,5 @@
 
           CASE ( 'w*qv*' )
-             IF ( humidity  .AND.  .NOT. cloud_physics ) &
+             IF ( humidity  .AND.  .NOT. cloud_physics )                       &
              THEN
                 dopr_index(i) = 49
@@ -2716,5 +2724,5 @@
                 hom(:,2,52,:) = SPREAD( zw, 2, statistic_regions+1 )
              ELSE
-                message_string = 'data_output_pr = ' // &
+                message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for cloud_physics = .FALSE. an&' // &
@@ -2724,10 +2732,9 @@
 
           CASE ( 'wqv' )
-             IF ( humidity  .AND.  .NOT. cloud_physics ) &
-             THEN
+             IF ( humidity  .AND.  .NOT.  cloud_physics )  THEN
                 dopr_index(i) = 50
                 dopr_unit(i)  = 'kg/kg m/s'
                 hom(:,2,50,:) = SPREAD( zw, 2, statistic_regions+1 )
-             ELSEIF( humidity .AND. cloud_physics ) THEN
+             ELSEIF ( humidity  .AND.  cloud_physics )  THEN
                 dopr_index(i) = 53
                 dopr_unit(i)  = 'kg/kg m/s'
@@ -2742,5 +2749,5 @@
 
           CASE ( 'ql' )
-             IF ( .NOT. cloud_physics  .AND.  .NOT. cloud_droplets )  THEN
+             IF (  .NOT.  cloud_physics  .AND.  .NOT.  cloud_droplets )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2801,5 +2808,5 @@
 
           CASE ( 'rho' )
-             IF ( .NOT. ocean ) THEN
+             IF (  .NOT.  ocean ) THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2819,5 +2826,5 @@
 
           CASE ( 'w"sa"' )
-             IF ( .NOT. ocean ) THEN
+             IF (  .NOT.  ocean ) THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2831,5 +2838,5 @@
 
           CASE ( 'w*sa*' )
-             IF ( .NOT. ocean ) THEN
+             IF (  .NOT. ocean  ) THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2843,5 +2850,5 @@
 
           CASE ( 'wsa' )
-             IF ( .NOT. ocean ) THEN
+             IF (  .NOT.  ocean ) THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2865,5 +2872,5 @@
 
           CASE ( 'q*2' )
-             IF ( .NOT. humidity )  THEN
+             IF (  .NOT.  humidity )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2877,5 +2884,5 @@
 
           CASE ( 'prho' )
-             IF ( .NOT. ocean ) THEN
+             IF (  .NOT.  ocean ) THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2894,5 +2901,5 @@
 
           CASE ( 'nr' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2904,5 +2911,5 @@
                                  'lemented for cloud_scheme /= seifert_beheng'
                 CALL message( 'check_parameters', 'PA0358', 1, 2, 0, 6, 0 )
-             ELSEIF ( .NOT. precipitation )  THEN
+             ELSEIF (  .NOT.  precipitation )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2916,5 +2923,5 @@
 
           CASE ( 'qr' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2926,5 +2933,5 @@
                                  'lemented for cloud_scheme /= seifert_beheng'
                 CALL message( 'check_parameters', 'PA0358', 1, 2, 0, 6, 0 )
-             ELSEIF ( .NOT. precipitation )  THEN
+             ELSEIF (  .NOT.  precipitation )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2938,5 +2945,5 @@
 
           CASE ( 'qc' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2955,5 +2962,5 @@
 
           CASE ( 'prr' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2965,5 +2972,5 @@
                                  'lemented for cloud_scheme /= seifert_beheng'
                 CALL message( 'check_parameters', 'PA0358', 1, 2, 0, 6, 0 )
-             ELSEIF ( .NOT. precipitation )  THEN
+             ELSEIF (  .NOT.  precipitation )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -2988,5 +2995,5 @@
 
           CASE ( 'w_subs' )
-             IF ( .NOT. large_scale_subsidence )  THEN
+             IF (  .NOT.  large_scale_subsidence )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3000,5 +3007,5 @@
 
           CASE ( 'td_lsa_lpt' )
-             IF ( .NOT. large_scale_forcing )  THEN
+             IF (  .NOT.  large_scale_forcing )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3012,5 +3019,5 @@
 
           CASE ( 'td_lsa_q' )
-             IF ( .NOT. large_scale_forcing )  THEN
+             IF (  .NOT.  large_scale_forcing )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3024,5 +3031,5 @@
 
           CASE ( 'td_sub_lpt' )
-             IF ( .NOT. large_scale_forcing )  THEN
+             IF (  .NOT.  large_scale_forcing )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3036,5 +3043,5 @@
 
           CASE ( 'td_sub_q' )
-             IF ( .NOT. large_scale_forcing )  THEN
+             IF (  .NOT.  large_scale_forcing )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3048,5 +3055,5 @@
 
           CASE ( 'td_nud_lpt' )
-             IF ( .NOT. nudging )  THEN
+             IF (  .NOT.  nudging )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3060,5 +3067,5 @@
 
           CASE ( 'td_nud_q' )
-             IF ( .NOT. nudging )  THEN
+             IF (  .NOT.  nudging )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3072,5 +3079,5 @@
 
           CASE ( 'td_nud_u' )
-             IF ( .NOT. nudging )  THEN
+             IF (  .NOT.  nudging )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3084,5 +3091,5 @@
 
           CASE ( 'td_nud_v' )
-             IF ( .NOT. nudging )  THEN
+             IF (  .NOT.  nudging )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3096,5 +3103,5 @@
 
           CASE ( 't_soil', '#t_soil' )
-             IF ( .NOT. land_surface )  THEN
+             IF (  .NOT.  land_surface )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3113,5 +3120,5 @@
 
           CASE ( 'm_soil', '#m_soil' )
-             IF ( .NOT. land_surface )  THEN
+             IF (  .NOT.  land_surface )  THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
@@ -3130,5 +3137,6 @@
 
           CASE ( 'rad_net' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme == 'constant' )  THEN
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme == 'constant' )&
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3143,5 +3151,6 @@
 
           CASE ( 'rad_lw_in' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme == 'constant' )  THEN
+             IF ( (  .NOT.  radiation)  .OR.  radiation_scheme == 'constant' ) &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3156,5 +3165,6 @@
 
           CASE ( 'rad_lw_out' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme == 'constant' )  THEN
+             IF ( (  .NOT. radiation )  .OR.  radiation_scheme == 'constant' ) &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3169,5 +3179,6 @@
 
           CASE ( 'rad_sw_in' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme == 'constant' )  THEN
+             IF ( (  .NOT. radiation )  .OR.  radiation_scheme == 'constant' ) &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3182,5 +3193,6 @@
 
           CASE ( 'rad_sw_out')
-             IF ( (.NOT. radiation) .OR. radiation_scheme == 'constant' )  THEN
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme == 'constant' ) &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3195,5 +3207,6 @@
 
           CASE ( 'rad_lw_cs_hr' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme /= 'rrtmg' )  THEN
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3208,5 +3221,6 @@
 
           CASE ( 'rad_lw_hr' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme /= 'rrtmg' )  THEN
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3221,5 +3235,6 @@
 
           CASE ( 'rad_sw_cs_hr' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme /= 'rrtmg' )  THEN
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3234,5 +3249,6 @@
 
           CASE ( 'rad_sw_hr' )
-             IF ( (.NOT. radiation) .OR. radiation_scheme /= 'rrtmg' )  THEN
+             IF ( (  .NOT.  radiation )  .OR.  radiation_scheme /= 'rrtmg' )   &
+             THEN
                 message_string = 'data_output_pr = ' //                        &
                                  TRIM( data_output_pr(i) ) // ' is not ava' // &
@@ -3329,5 +3345,5 @@
 
           CASE ( 'lpt' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'res cloud_physics = .TRUE.'
@@ -3337,5 +3353,5 @@
 
           CASE ( 'm_soil' )
-             IF ( .NOT. land_surface )  THEN
+             IF (  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'land_surface = .TRUE.'
@@ -3345,5 +3361,5 @@
 
           CASE ( 'nr' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'res cloud_physics = .TRUE.'
@@ -3357,5 +3373,5 @@
 
           CASE ( 'pc', 'pr' )
-             IF ( .NOT. particle_advection )  THEN
+             IF (  .NOT.  particle_advection )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requir' // &
                    'es a "particles_par"-NAMELIST in the parameter file (PARIN)'
@@ -3366,5 +3382,5 @@
 
           CASE ( 'prr' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'res cloud_physics = .TRUE.'
@@ -3374,5 +3390,5 @@
                          'res cloud_scheme = seifert_beheng'
                 CALL message( 'check_parameters', 'PA0359', 1, 2, 0, 6, 0 )
-             ELSEIF ( .NOT. precipitation )  THEN
+             ELSEIF (  .NOT.  precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res precipitation = .TRUE.'
@@ -3382,5 +3398,5 @@
 
           CASE ( 'q', 'vpt' )
-             IF ( .NOT. humidity )  THEN
+             IF (  .NOT.  humidity )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res humidity = .TRUE.'
@@ -3391,5 +3407,5 @@
 
           CASE ( 'qc' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'res cloud_physics = .TRUE.'
@@ -3403,5 +3419,5 @@
 
           CASE ( 'ql' )
-             IF ( .NOT. ( cloud_physics  .OR.  cloud_droplets ) )  THEN
+             IF ( .NOT.  ( cloud_physics  .OR.  cloud_droplets ) )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'res cloud_physics = .TRUE. or cloud_droplets = .TRUE.'
@@ -3411,5 +3427,5 @@
 
           CASE ( 'ql_c', 'ql_v', 'ql_vp' )
-             IF ( .NOT. cloud_droplets )  THEN
+             IF (  .NOT.  cloud_droplets )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res cloud_droplets = .TRUE.'
@@ -3421,5 +3437,5 @@
 
           CASE ( 'qr' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'res cloud_physics = .TRUE.'
@@ -3429,5 +3445,5 @@
                          'res cloud_scheme = seifert_beheng'
                 CALL message( 'check_parameters', 'PA0359', 1, 2, 0, 6, 0 )
-             ELSEIF ( .NOT. precipitation )  THEN
+             ELSEIF (  .NOT.  precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res precipitation = .TRUE.'
@@ -3437,5 +3453,5 @@
 
           CASE ( 'qv' )
-             IF ( .NOT. cloud_physics )  THEN
+             IF (  .NOT.  cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res cloud_physics = .TRUE.'
@@ -3446,5 +3462,5 @@
           CASE ( 'rad_lw_in', 'rad_lw_out', 'rad_lw_cs_hr', 'rad_lw_hr',       &
                  'rad_sw_in', 'rad_sw_out', 'rad_sw_cs_hr', 'rad_sw_hr' )
-             IF ( .NOT. radiation .OR. radiation_scheme /= 'rrtmg' )  THEN
+             IF (  .NOT.  radiation  .OR.  radiation_scheme /= 'rrtmg' )  THEN
                 message_string = '"output of "' // TRIM( var ) // '" requi' // &
                                  'res radiation = .TRUE. and ' //              &
@@ -3455,5 +3471,5 @@
 
           CASE ( 'rho' )
-             IF ( .NOT. ocean )  THEN
+             IF (  .NOT.  ocean )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res ocean = .TRUE.'
@@ -3463,5 +3479,5 @@
 
           CASE ( 's' )
-             IF ( .NOT. passive_scalar )  THEN
+             IF (  .NOT.  passive_scalar )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res passive_scalar = .TRUE.'
@@ -3471,5 +3487,5 @@
 
           CASE ( 'sa' )
-             IF ( .NOT. ocean )  THEN
+             IF (  .NOT.  ocean )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res ocean = .TRUE.'
@@ -3479,5 +3495,5 @@
 
           CASE ( 't_soil' )
-             IF ( .NOT. land_surface )  THEN
+             IF (  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                          'land_surface = .TRUE.'
@@ -3491,5 +3507,6 @@
                  'qsws_liq_eb*', 'qsws_soil_eb*', 'qsws_veg_eb*', 'rad_net*',  &
                  'rrtm_aldif*', 'rrtm_aldir*', 'rrtm_asdif*', 'rrtm_asdir*',   &
-                 'r_a*', 'r_s*', 'shf*', 'shf_eb*', 't*', 'u*', 'z0*', 'z0h*' )
+                 'r_a*', 'r_s*', 'shf*', 'shf_eb*', 't*', 'u*', 'z0*', 'z0h*', &
+                 'z0q*' )
              IF ( k == 0  .OR.  data_output(i)(ilen-2:ilen) /= '_xy' )  THEN
                 message_string = 'illegal value for data_output: "' //         &
@@ -3498,8 +3515,8 @@
                 CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( .NOT. radiation .OR. radiation_scheme /= "rrtmg" )  THEN
-                IF ( TRIM( var ) == 'rrtm_aldif*' .OR.                         &
-                     TRIM( var ) == 'rrtm_aldir*' .OR.                         &
-                     TRIM( var ) == 'rrtm_asdif*' .OR.                         &
+             IF (  .NOT.  radiation  .OR.  radiation_scheme /= "rrtmg" )  THEN
+                IF ( TRIM( var ) == 'rrtm_aldif*'  .OR.                        &
+                     TRIM( var ) == 'rrtm_aldir*'  .OR.                        &
+                     TRIM( var ) == 'rrtm_asdif*'  .OR.                        &
                      TRIM( var ) == 'rrtm_asdir*'      )                       &
                 THEN
@@ -3511,10 +3528,10 @@
              ENDIF
 
-             IF ( TRIM( var ) == 'c_liq*'  .AND.  .NOT. land_surface )  THEN
+             IF ( TRIM( var ) == 'c_liq*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res land_surface = .TRUE.'
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'c_soil*'  .AND.  .NOT. land_surface )  THEN
+             IF ( TRIM( var ) == 'c_soil*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res land_surface = .TRUE.'
@@ -3526,10 +3543,10 @@
                 CALL message( 'check_parameters', 'PA0401', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'ghf_eb*'  .AND.  .NOT. land_surface )  THEN
+             IF ( TRIM( var ) == 'ghf_eb*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res land_surface = .TRUE.'
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'lai*'  .AND.  .NOT. land_surface )  THEN
+             IF ( TRIM( var ) == 'lai*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res land_surface = .TRUE.'
@@ -3541,5 +3558,5 @@
                 CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'm_liq_eb*'  .AND.  .NOT. land_surface )  THEN
+             IF ( TRIM( var ) == 'm_liq_eb*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res land_surface = .TRUE.'
@@ -3556,20 +3573,20 @@
                 CALL message( 'check_parameters', 'PA0113', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'prr*'  .AND.  .NOT. precipitation )  THEN
+             IF ( TRIM( var ) == 'prr*'  .AND.  .NOT.  precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res precipitation = .TRUE.'
                 CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'qsws*'  .AND.  .NOT. humidity )  THEN
+             IF ( TRIM( var ) == 'qsws*'  .AND.  .NOT.  humidity )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res humidity = .TRUE.'
                 CALL message( 'check_parameters', 'PA0322', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'qsws_eb*'  .AND.  .NOT. land_surface )  THEN
+             IF ( TRIM( var ) == 'qsws_eb*'  .AND.  .NOT.  land_surface )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
                                  'res land_surface = .TRUE.'
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'qsws_liq_eb*'  .AND.  .NOT. land_surface )  &
+             IF ( TRIM( var ) == 'qsws_liq_eb*'  .AND.  .NOT. land_surface )   &
              THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3577,5 +3594,5 @@
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'qsws_soil_eb*'  .AND.  .NOT. land_surface ) &
+             IF ( TRIM( var ) == 'qsws_soil_eb*'  .AND.  .NOT.  land_surface ) &
              THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3583,5 +3600,5 @@
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'qsws_veg_eb*'  .AND.  .NOT. land_surface )  &
+             IF ( TRIM( var ) == 'qsws_veg_eb*'  .AND.  .NOT. land_surface )   &
              THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3589,5 +3606,5 @@
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'r_a*'  .AND.  .NOT. land_surface ) &
+             IF ( TRIM( var ) == 'r_a*'  .AND.  .NOT.  land_surface ) &
              THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3595,5 +3612,5 @@
                 CALL message( 'check_parameters', 'PA0404', 1, 2, 0, 6, 0 )
              ENDIF
-             IF ( TRIM( var ) == 'r_s*'  .AND.  .NOT. land_surface ) &
+             IF ( TRIM( var ) == 'r_s*'  .AND.  .NOT.  land_surface ) &
              THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' //  &
@@ -3757,5 +3774,5 @@
 !-- Check mask conditions
     DO mid = 1, max_masks
-       IF ( data_output_masks(mid,1) /= ' ' .OR.                               &
+       IF ( data_output_masks(mid,1) /= ' '  .OR.                              &
             data_output_masks_user(mid,1) /= ' ' ) THEN
           masks = masks + 1
@@ -3763,5 +3780,5 @@
     ENDDO
     
-    IF ( masks < 0 .OR. masks > max_masks )  THEN
+    IF ( masks < 0  .OR.  masks > max_masks )  THEN
        WRITE( message_string, * )  'illegal value: masks must be >= 0 and ',   &
             '<= ', max_masks, ' (=max_masks)'
@@ -3908,6 +3925,6 @@
 !
 !-- Check random generator
-    IF ( (random_generator /= 'system-specific'     .AND.                      &
-          random_generator /= 'random-parallel'   ) .AND.                      &
+    IF ( (random_generator /= 'system-specific'      .AND.                     &
+          random_generator /= 'random-parallel'   )  .AND.                     &
           random_generator /= 'numerical-recipes' )  THEN
        message_string = 'unknown random generator: random_generator = "' //    &
@@ -3919,5 +3936,5 @@
 !-- Determine upper and lower hight level indices for random perturbations
     IF ( disturbance_level_b == -9999999.9_wp )  THEN
-       IF ( ocean ) THEN
+       IF ( ocean )  THEN
           disturbance_level_b     = zu((nzt*2)/3)
           disturbance_level_ind_b = ( nzt * 2 ) / 3
@@ -4182,5 +4199,5 @@
 !
 !-- Check pressure gradient conditions
-    IF ( dp_external .AND. conserve_volume_flow )  THEN
+    IF ( dp_external  .AND.  conserve_volume_flow )  THEN
        WRITE( message_string, * )  'Both dp_external and conserve_volume_flo', &
             'w are .TRUE. but one of them must be .FALSE.'
@@ -4188,5 +4205,5 @@
     ENDIF
     IF ( dp_external )  THEN
-       IF ( dp_level_b < zu(nzb) .OR. dp_level_b > zu(nzt) )  THEN
+       IF ( dp_level_b < zu(nzb)  .OR.  dp_level_b > zu(nzt) )  THEN
           WRITE( message_string, * )  'dp_level_b = ', dp_level_b, ' is out ', &
                ' of range'
@@ -4199,5 +4216,5 @@
        ENDIF
     ENDIF
-    IF ( ANY( dpdxy /= 0.0_wp ) .AND. .NOT. dp_external )  THEN
+    IF ( ANY( dpdxy /= 0.0_wp )  .AND.  .NOT.  dp_external )  THEN
        WRITE( message_string, * )  'dpdxy is nonzero but dp_external is ',     &
             '.FALSE., i.e. the external pressure gradient & will not be applied'
@@ -4230,6 +4247,6 @@
        ENDIF
     ENDIF
-    IF ( ( u_bulk /= 0.0_wp .OR. v_bulk /= 0.0_wp ) .AND.                      &
-         ( .NOT. conserve_volume_flow .OR.                                     &
+    IF ( ( u_bulk /= 0.0_wp  .OR.  v_bulk /= 0.0_wp )  .AND.                   &
+         ( .NOT. conserve_volume_flow  .OR.                                    &
          TRIM( conserve_volume_flow_mode ) /= 'bulk_velocity' ) )  THEN
        WRITE( message_string, * )  'nonzero bulk velocity requires ',          &
@@ -4270,5 +4287,5 @@
 !
 !-- Check nudging and large scale forcing from external file
-    IF ( nudging .AND. ( .NOT. large_scale_forcing ) )  THEN
+    IF ( nudging  .AND.  (  .NOT.  large_scale_forcing ) )  THEN
        message_string = 'Nudging requires large_scale_forcing = .T.. &'//      &
                         'Surface fluxes and geostrophic wind should be &'//    &
@@ -4277,5 +4294,5 @@
     ENDIF
 
-    IF ( large_scale_forcing .AND. ( bc_lr /= 'cyclic'  .OR.                   &
+    IF ( large_scale_forcing  .AND.  ( bc_lr /= 'cyclic'  .OR.                 &
                                     bc_ns /= 'cyclic' ) )  THEN
        message_string = 'Non-cyclic lateral boundaries do not allow for &' //  &
@@ -4284,5 +4301,5 @@
      ENDIF
 
-    IF ( large_scale_forcing .AND. ( .NOT. humidity ) )  THEN
+    IF ( large_scale_forcing  .AND.  (  .NOT.  humidity ) )  THEN
        message_string = 'The usage of large scale forcing from external &'//   & 
                         'file LSF_DATA requires humidity = .T..'
